package com.heyu.api.data.entity.api;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*
* @author quyixiao
* @since 2025-04-19
*/

@Data
@TableName("api_recharge_money")
public class ApiRechargeMoneyEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.api.ApiRechargeMoneyEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // 主键id
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                  // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 修改时间
    public final static String uri_ = CLASS_NAME + "uri";                                 // 哪个url 使用了
    public final static String class_info = CLASS_NAME + "class_info";                    // 对应哪个类
    public final static String scene_ = CLASS_NAME + "scene";                             // 哪种场景使用
    public final static String all_recharge_money = CLASS_NAME + "all_recharge_money";    // 总充值金额
    public final static String all_recharge_count = CLASS_NAME + "all_recharge_count";    // 次数
    public final static String current_count = CLASS_NAME + "current_count";              // 当前次数
    public final static String api_url = CLASS_NAME + "api_url";                          // api 应对的url
    public final static String recharge_page_url = CLASS_NAME + "recharge_page_url";      // 充值页面url
    public final static String scene_name = CLASS_NAME + "scene_name";                    // 场景名称
    public final static String warn_count = CLASS_NAME + "warn_count";                    // 警告次数
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //哪个url 使用了
    private String uri;
    //对应哪个类
    private String classInfo;
    //哪种场景使用
    private String scene;
    //总充值金额
    private BigDecimal allRechargeMoney;
    //次数
    private Long allRechargeCount;
    //当前次数
    private Integer currentCount;
    //api 应对的url
    private String apiUrl;
    //充值页面url
    private String rechargePageUrl;
    //场景名称
    private String sceneName;
    //警告次数
    private Integer warnCount;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 哪个url 使用了 
     * @return
     */
    public String getUri() {
        return uri;
    }
    /**
     * 哪个url 使用了 
     * @param uri
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * 对应哪个类 
     * @return
     */
    public String getClassInfo() {
        return classInfo;
    }
    /**
     * 对应哪个类 
     * @param classInfo
     */
    public void setClassInfo(String classInfo) {
        this.classInfo = classInfo;
    }

    /**
     * 哪种场景使用 
     * @return
     */
    public String getScene() {
        return scene;
    }
    /**
     * 哪种场景使用 
     * @param scene
     */
    public void setScene(String scene) {
        this.scene = scene;
    }

    /**
     * 总充值金额 
     * @return
     */
    public BigDecimal getAllRechargeMoney() {
        return allRechargeMoney;
    }
    /**
     * 总充值金额 
     * @param allRechargeMoney
     */
    public void setAllRechargeMoney(BigDecimal allRechargeMoney) {
        this.allRechargeMoney = allRechargeMoney;
    }

    /**
     * 次数 
     * @return
     */
    public Long getAllRechargeCount() {
        return allRechargeCount;
    }
    /**
     * 次数 
     * @param allRechargeCount
     */
    public void setAllRechargeCount(Long allRechargeCount) {
        this.allRechargeCount = allRechargeCount;
    }

    /**
     * 当前次数 
     * @return
     */
    public Integer getCurrentCount() {
        return currentCount;
    }
    /**
     * 当前次数 
     * @param currentCount
     */
    public void setCurrentCount(Integer currentCount) {
        this.currentCount = currentCount;
    }

    /**
     * api 应对的url 
     * @return
     */
    public String getApiUrl() {
        return apiUrl;
    }
    /**
     * api 应对的url 
     * @param apiUrl
     */
    public void setApiUrl(String apiUrl) {
        this.apiUrl = apiUrl;
    }

    /**
     * 充值页面url 
     * @return
     */
    public String getRechargePageUrl() {
        return rechargePageUrl;
    }
    /**
     * 充值页面url 
     * @param rechargePageUrl
     */
    public void setRechargePageUrl(String rechargePageUrl) {
        this.rechargePageUrl = rechargePageUrl;
    }

    /**
     * 场景名称 
     * @return
     */
    public String getSceneName() {
        return sceneName;
    }
    /**
     * 场景名称 
     * @param sceneName
     */
    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    /**
     * 警告次数 
     * @return
     */
    public Integer getWarnCount() {
        return warnCount;
    }
    /**
     * 警告次数 
     * @param warnCount
     */
    public void setWarnCount(Integer warnCount) {
        this.warnCount = warnCount;
    }

    @Override
    public String toString() {
        return "ApiRechargeMoneyEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",uri=" + uri +
                ",classInfo=" + classInfo +
                ",scene=" + scene +
                ",allRechargeMoney=" + allRechargeMoney +
                ",allRechargeCount=" + allRechargeCount +
                ",currentCount=" + currentCount +
                ",apiUrl=" + apiUrl +
                ",rechargePageUrl=" + rechargePageUrl +
                ",sceneName=" + sceneName +
                ",warnCount=" + warnCount +
                "}";
    }
}